> For the complete documentation index, see [llms.txt](https://docs.autoenhance.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autoenhance.ai/orders/managing-orders/retrieving.md).

# Retrieving

This API endpoint allows you to retrieve a single order. To retrieve an order, you must provide the `order_id`.

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const orderId = "ID_OF_YOUR_ORDER";

const getOrder = async (orderId) => {
    const getOrderResponse = await fetch(
      `https://api.autoenhance.ai/v3/orders/${orderId}`,
      { method: "GET" }
    );

    const { order_id, name, images, status } = await getOrderResponse.json();
}
```

{% endtab %}

{% tab title="Python" %}

```python
order_id = "ID_OF_YOUR_ORDER";

def get_order(order_id):
    url = f"https://api.autoenhance.ai/v3/orders/{order_id}"
    
    response = requests.get(url)
    response_data = response.json()
    
    order_id = response_data.get('order_id')
    name = response_data.get('name')
    images = response_data.get('images')
    status = response_data.get('status')
    
    return order_id, name, images, status
```

{% endtab %}

{% tab title="PHP" %}

```php
$order_id = "ID_OF_YOUR_ORDER";

function get_order($order_id) {
    $url = "https://api.autoenhance.ai/v3/orders/$order_id";

    $options = array(
        'http' => array(
            'header'  => "Content-Type: application/json\r\n",
            'method'  => 'GET'
        )
    );

    $context = stream_context_create($options);
    $result = file_get_contents($url, false, $context);

    if ($result === FALSE) {
        return 'Error fetching order';
    }

    $order_details = json_decode($result, true);
    return $order_details;
}
```

{% endtab %}

{% tab title="cURL" %}

```
curl -X GET \
  'https://api.autoenhance.ai/v3/orders/YOUR_ORDER_ID' \
  -H 'Content-Type: application/json'
```

{% endtab %}
{% endtabs %}

The response after successfully fetching an order will contain all the details of your order.

### Specification

{% openapi src="<https://api.autoenhance.ai/docs/openapi.spec>" path="/v3/orders/{id}" method="get" %}
<https://api.autoenhance.ai/docs/openapi.spec>
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.autoenhance.ai/orders/managing-orders/retrieving.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
